﻿/* Media queries */

@media only screen and (min-width: 1000px) {
    body {
        background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.3)), url('../background.jpg');
    }
    .navbar_phone{
        display:none;
    }
}

@media only screen and (max-width: 1000px) {
    body {
        background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.3)), url('../background_phone.jpg');
    }
    .navbar_normal{
        display:none;
    }
}

/* General styles */
.imgbtn {
    border-radius: 4px;
    box-shadow: 10px 10px 0px -5px rgba(255, 255, 255, 0.9);
    transition: transform 0.3s ease;
}

    .imgbtn:hover {
        border-radius: 4px;
        transform: scale(1.1);
    }

/* Enlarged image styles */
.enlarged-image-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(5px);
    background-color: rgba(255, 255, 255, 0.5);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.enlarged-image {
    max-width: 90%;
    max-height: 90%;
    border-radius: 8px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
    background-color: white;
}

.textbox {
    font-family: "Jaini", system-ui;
    font-weight: 400;
    font-style: normal;
    margin-left: 10px;
    font-size: 25px;
    color: black;
    padding: 10px 20px;
    transition: 703ms;
    transform: translateY(0);
    flex-direction: row;
    align-items: center;
    cursor: text;
}
h1 {
    font-family: "Jaini", system-ui;
    font-weight: 400;
    font-style: normal;
}

.dropbtn {
    font-family: "Jaini", system-ui;
    font-weight: 400;
    font-style: normal;
    margin-left: 10px;
    font-size: 25px;
    color: #ffff;
    padding: 10px 20px;
    transition: 703ms;
    transform: translateY(0);
    flex-direction: row;
    align-items: center;
    cursor: pointer;
}

    .dropbtn:hover {
        transition: 703ms;
        transform: translateY(0);
        color: #8a8a8a;
    }

a:hover {
    text-decoration:none;
}
a:active {
    text-decoration: none;
}
a:focus {
    text-decoration: none;
}

/* Dropdown styles */
.dropdown {
    position: relative;
    display: inline-block;

}

.dropdown-content {
    display: none;
    position: absolute;
    min-width: 160px;
    z-index: 1;
    font-size: 14px;
}

    .dropdown-content a {
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        background-color: rgba(150, 150, 150, 0.8);
        font-size: 14px;
        transition: transform 0.3s ease;
    }

        .dropdown-content a:hover {
            background-color: #ddd;
            transform: scale(1.1);
        }

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover {
    text-decoration: underline;
    transition: 703ms;
    transform: translateY(0);
    color: #8a8a8a;
}
.sub-dropdown-content {
    display: none;
    position: absolute;
    min-width: 160px;
    left: 100%;
    top: 0;
    z-index: 1000;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown-content .sub-dropdown:hover .sub-dropdown-content {
    display: block;
}


/* Navbar and links */
a.navbar-brand {
    white-space: normal;
    text-align: center;
}

/* Sticky footer styles */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

html {
    position: relative;
    min-height: 100%;
}

/* Footer 
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px;
}
*/
/* Custom CSS */
.main-page {
    min-height: calc(100vh - 13rem);
    max-width: 90%;
    margin: 0 auto;

}

body {
    /* Margin bottom by footer height */
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: 100% 100%; /* 100% szerokości, 100vh wysokości */
    background-position: center; /* Wyśrodkowuje na osi poziomej i pionowej */

}



.navbar {
    display: flex;
    margin: 2rem;
    height: 5rem;
    border: 3px solid #9e9e9e;
    box-shadow: 10px 7px 0px 0px rgba(250,250,250,0.9);
    font-size: 12px;
    background: rgba(0, 0, 0, 0.5);
}

.menu-link {
    display: block;
    font-size: 1.5rem;
    margin-right: 2rem;
    padding: 1rem 0;
    letter-spacing: 0.2rem;
}

    .menu-link:hover {
        text-decoration: none;
        color:black;
    }

td {
    padding: 1.1rem;
}
